Name:           args4j
Version:        2.33
Release:        %mkrel 10
Group:          Development/Java
Summary:        Java command line arguments parser
License:        MIT
URL:            https://args4j.kohsuke.org
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-site-%{version}.tar.gz

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

# Fix build on Java 11/17
Patch0: 0001-Remove-usage-of-internal-sun-class-removed-in-Java-9.patch

# Stopped shipping these unused subpackages in F34
Obsoletes: %{name}-tools < 2.33-13
Obsoletes: %{name}-parent < 2.33-13

%description
args4j is a small Java class library that makes it easy
to parse command line options/arguments in your CUI application.
- It makes the command line parsing very easy by using annotations
- You can generate the usage screen very easily
- You can generate HTML/XML that lists all options for your documentation
- Fully supports localization
- It is designed to parse javac like options (as opposed to GNU-style
  where ls -lR is considered to have two options l and R)

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-site-%{version}
%patch -P0 -p1

# removing bundled stuff
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# Not needed for RPM builds
%pom_remove_plugin -r :maven-site-plugin

# we don't need these now
%pom_disable_module args4j-maven-plugin
%pom_disable_module args4j-maven-plugin-example
%pom_disable_module args4j-tools

# Remove reliance on the parent pom
%pom_remove_parent

# Remove hard-coded source/target
%pom_xpath_remove pom:plugin/pom:configuration/pom:target
%pom_xpath_remove pom:plugin/pom:configuration/pom:source

# Don't package the parent pom
%mvn_package :args4j-site __noinstall

# install also compat symlinks
%mvn_file ":{*}" %{name}/@1 @1

%build
%mvn_build -- -Dmaven.compiler.release=11

%install
%mvn_install

%files -f .mfiles
%license %{name}/LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license %{name}/LICENSE.txt




%changelog
* Mon Dec 23 2024 daviddavid <daviddavid> 2.33-10.mga10
+ Revision: 2129170
- Rebuilt for java-21-openjdk as system jdk
- Fix build on Java 11/17

* Thu May 23 2024 ns80 <ns80> 2.33-9.mga10
+ Revision: 2066400
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 2.33-8.mga9
+ Revision: 1827737
- Mageia 9 Mass Rebuild

* Sun Mar 07 2021 daviddavid <daviddavid> 2.33-7.mga9
+ Revision: 1700298
- Stop shipping unused subpackages for tools and parent pom

* Tue Sep 08 2020 daviddavid <daviddavid> 2.33-6.mga8
+ Revision: 1623424
- Remove BR on site-plugin
- Avoid unnecessary koshuke parent pom, it doesn't add anything to the build
- Allow building against Java 11

* Tue Feb 11 2020 umeabot <umeabot> 2.33-5.mga8
+ Revision: 1489408
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.33-4.mga7
+ Revision: 1260433
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.33-3.mga7
+ Revision: 1260196
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.33-2.mga7
+ Revision: 1259765
- Mageia 7 Mass Rebuild

* Sun May 14 2017 neoclust <neoclust> 2.33-1.mga6
+ Revision: 1101237
- New version 2.33

* Wed Mar 02 2016 neoclust <neoclust> 2.32-3.mga6
+ Revision: 982517
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 2.32-2.mga6
+ Revision: 975453
- First rebuild of the java stack

* Sun Dec 27 2015 pterjan <pterjan> 2.32-1.mga6
+ Revision: 916124
- Restore groups
- Update to 2.32 and sync with fedora

* Sat Dec 20 2014 pterjan <pterjan> 2.0.28-1.mga5
+ Revision: 804452
- Sync with Fedora 21 (update to 2.0.28)
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 2.0.25-1.mga4
+ Revision: 489018
- New version

* Thu Jul 11 2013 dmorgan <dmorgan> 2.0.16-4.mga4
+ Revision: 452931
- Update to conform with latest Java packaging guidelines

* Fri Jan 11 2013 umeabot <umeabot> 2.0.16-3.mga3
+ Revision: 346026
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 08 2012 dmorgan <dmorgan> 2.0.16-2.mga3
+ Revision: 268856
- Use final tarballs
- Apply upstream source encoding patch to fix build with java 1.7.

* Sun Sep 04 2011 dmorgan <dmorgan> 2.0.16-1.mga2
+ Revision: 138527
- Adapt to mageia guidelines

* Thu Jun 30 2011 gil <gil> 2.0.16-0.mga2
+ Revision: 116779
- imported package args4j


* Thu Jun 30 2011 gil <gil> 2.0.16-0.%%mkrel
- initial rpm